Package org.apache.any23.writer

## Interface WriterFactory

- All Known Subinterfaces:
    `org.apache.any23.writer.BaseWriterFactory<Output>`, `DecoratingWriterFactory`, `TripleWriterFactory`
  All Known Implementing Classes:
    `JSONLDWriterFactory`, `JSONWriterFactory`, `NQuadsWriterFactory`, `NTriplesWriterFactory`, `RDFXMLWriterFactory`, `TriXWriterFactory`, `TurtleWriterFactory`, `URIListWriterFactory`

      public interface WriterFactory

  The superinterface of all `TripleHandler` factory interfaces. Do not implement this interface directly. Instead, implement one of the subinterfaces `TripleWriterFactory` or `DecoratingWriterFactory`.
  Author:
    Peter Ansell (p_ansell@yahoo.com), Hans Brende (hansbrende@apache.org)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getIdentifier()` |
    `String` | `getMimeType()` | Deprecated. since 2.3.
    `org.eclipse.rdf4j.rio.RDFFormat` | `getRdfFormat()` | Deprecated. since 2.3.
    `FormatWriter` | `getRdfWriter​(OutputStream os)` | Deprecated. since 2.3.

- - ### Method Detail

    - #### getRdfFormat

          @Deprecated
          org.eclipse.rdf4j.rio.RDFFormat getRdfFormat()

      Deprecated.
      since 2.3. Use `TripleWriterFactory.getTripleFormat()` instead.
      Returns:
        the `RDFFormat` being handled

    - #### getIdentifier

          String getIdentifier()

    - #### getMimeType

          @Deprecated
          String getMimeType()

      Deprecated.
      since 2.3. Use `TripleWriterFactory.getTripleFormat()`.`getMimeType()` instead.
      Returns:
        a String representing the Mimetype being handled in this Writer

    - #### getRdfWriter

          @Deprecated
          FormatWriter getRdfWriter​(OutputStream os)

      Deprecated.
      since 2.3. Use `TripleWriterFactory.getTripleWriter(OutputStream, Settings)` instead.
      Parameters:
        `os` - a `OutputStream` to be written to the FormatWriter handler
      Returns:
        a `FormatWriter` ready to be implemented